Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.hibernate
Class HibernateSessionSourceImpl

    java.lang.Object
      org.apache.tapestry5.internal.hibernate.HibernateSessionSourceImpl

All Implemented Interfaces:
  HibernateSessionSource

    public class HibernateSessionSourceImpl

extends java.lang.Object
implements HibernateSessionSource

Constructor Summary
`HibernateSessionSourceImpl(org.slf4j.Logger logger, java.util.List<HibernateConfigurer> hibernateConfigurers)`

Method Summary
`org.hibernate.Session` | `create()` Creates a new session using the `SessionFactory` created at service startup.
`org.hibernate.cfg.Configuration` | `getConfiguration()` Returns the final configuration used to create the `SessionFactory`.
`org.hibernate.SessionFactory` | `getSessionFactory()` Returns the SessionFactory from which Hibernate sessions are created.
`void` | `listenForShutdown(RegistryShutdownHub hub)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateSessionSourceImpl

    public HibernateSessionSourceImpl(org.slf4j.Logger logger,
                                      java.util.List<HibernateConfigurer> hibernateConfigurers)

Method Detail

### listenForShutdown

    @PostInjection
    public void listenForShutdown(RegistryShutdownHub hub)

### create

    public org.hibernate.Session create()

  Description copied from interface: `HibernateSessionSource`
  Creates a new session using the `SessionFactory` created at service startup.

  Specified by:
    `create` in interface `HibernateSessionSource`

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Description copied from interface: `HibernateSessionSource`
  Returns the SessionFactory from which Hibernate sessions are created.

  Specified by:
    `getSessionFactory` in interface `HibernateSessionSource`

### getConfiguration

    public org.hibernate.cfg.Configuration getConfiguration()

  Description copied from interface: `HibernateSessionSource`
  Returns the final configuration used to create the `SessionFactory`. The configuration is immutable.

  Specified by:
    `getConfiguration` in interface `HibernateSessionSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.